{
  "schema_version": "1.4.0",
  "id": "GHSA-vc7v-9ghj-gp9f",
  "modified": "2025-04-12T12:58:22Z",
  "published": "2022-05-14T02:46:40Z",
  "aliases": [
    "CVE-2016-1885"
  ],
  "details": "Integer signedness error in the amd64_set_ldt function in sys/amd64/amd64/sys_machdep.c in FreeBSD 9.3 before p39, 10.1 before p31, and 10.2 before p14 allows local users to cause a denial of service (kernel panic) via an i386_set_ldt system call, which triggers a heap-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-1885"
    },
    {
      "type": "WEB",
      "url": "https://security.FreeBSD.org/advisories/FreeBSD-SA-16:15.sysarch.asc"
    },
    {
      "type": "WEB",
      "url": "https://www.exploit-db.com/exploits/39570"
    },
    {
      "type": "WEB",
      "url": "http://packetstormsecurity.com/files/136276/FreeBSD-Kernel-amd64_set_ldt-Heap-Overflow.html"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2016/Mar/56"
    },
    {
      "type": "WEB",
      "url": "http://seclists.org/fulldisclosure/2016/Mar/67"
    },
    {
      "type": "WEB",
      "url": "http://www.coresecurity.com/advisories/freebsd-kernel-amd64setldt-heap-overflow"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/537812/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/archive/1/537813/100/0/threaded"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id/1035309"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2016-04-12T02:00:00Z"
  }
}